<template>
	<!-- 转发 -->
	<view class="forward">
		<view class="forward-card">
			<u--form labelPosition="top" :model="forwardForm" ref="form1">
				<u-form-item label="转发对象" labelWidth="20%" ref="item1" @click="forwardObjectClick"><u--input v-model="name" placeholder="点击选择转发对象"></u--input></u-form-item>
				<u-form-item label="输入数量" labelWidth="20%" ref="item1">
					<view class="forward-card-amount">
						<view class="forward-card-amount-input"><u--input v-model="forwardForm.nums" placeholder="请输入转发数量"></u--input></view>
						<u-checkbox-group v-model="checkboxValue1" placement="column" @change="checkboxChange">
							<u-checkbox :customStyle="{ marginBottom: '8px' }" size="30" labelSize="30" label="全部转发" name="全部转发"></u-checkbox>
						</u-checkbox-group>
					</view>
				</u-form-item>
			</u--form>
		</view>
		<!-- 按钮 -->
		<view class="forwardBtn"><u-button text="提交" :hairline="false" type="primary" @click="submitForm"></u-button></view>

		<!-- 选择货代或车队弹出框 -->
		<view class="selectHuoDaiOrFleet-container">
			<u-popup :show="selectPopupShow" mode="bottom" @close="selectPopupClose" @open="selectPopupOpen">
				<view class="selectHuoDaiOrFleet-container-box">
					<u-tabs :list="list1" @click="tabClick"></u-tabs>
					<view class="" v-if="!tabHuoDai">
						<u-cell-group>
							<u-cell v-for="(item, index) in fleetData" :key="index" :title="item.name">
								<view class="cell-util" slot="value"><u-button @click="forwardFleetObjectSelect(item)" text="选择" type="primary" size="mini"></u-button></view>
							</u-cell>
						</u-cell-group>
					</view>
					<view class="" v-else-if="tabHuoDai">
						<u-cell-group>
							<u-cell v-for="(item, index) in huoDaiData" :key="index" :title="item.name">
								<view class="cell-util" slot="value"><u-button @click="forwardHuoDaiObjectSelect(item)" text="选择" type="primary" size="mini"></u-button></view>
							</u-cell>
						</u-cell-group>
					</view>
				</view>
			</u-popup>
		</view>
	</view>
</template>

<script>
import { customerId } from '@/utils/status';

export default {
	onLoad(params) {
		console.log('转发的提煤单id', params.orderPlanId, params.carNum);
		this.forwardForm.orderPlanId = params.orderPlanId;
		this.carNumTatal = params.carNum;
	},
	data() {
		return {
			paramsName: {},
			huoDaiData: [],
			fleetData: [],
			carNumTatal: null,
			name: '',
			forwardForm: {
				orderPlanId: null,
				nums: null,
				userId: 0,
				fleetId: 0
			},
			checkboxValue1: '',
			selectPopupShow: false,
			list1: [
				{
					name: '车队'
				},
				{
					name: '货代'
				}
			],
			tabHuoDai: false
		};
	},
	onShow() {
		this.init();
		if (this.roleType == 2) {
			this.list1.splice(1, 1);
			this.tabHuoDai = false;
		}
	},
	computed: {
		roleType() {
			return uni.getStorageSync('roleType');
		}
	},
	methods: {
		init() {
			console.log('roleType', this.roleType);
			switch (this.roleType) {
				case 1:
					this.getAllHuoDaiByCustomerId();
					this.getFleet();
					break;
				case 2:
					this.getFleet();
					break;
				default:
					break;
			}
		},
		checkboxChange(value) {
			console.log('复选框变化', value);
			if (value.length != 0) {
				this.forwardForm.nums = this.carNumTatal;
			} else {
				this.forwardForm.nums = null;
			}
		},
		// 获取货代列表
		getAllHuoDaiByCustomerId() {
			this.$reqGet('getAllHuoDaiByCustomerId').then(res => {
				this.huoDaiData = res.data;
				console.log('货代列表', res);
			});
		},
		// 获取车队列表
		getFleet() {
			this.$reqGet('getFleet').then(res => {
				this.fleetData = res.data;
				console.log('车队列表', res);
			});
		},
		// 转发
		forwardObjectClick() {
			console.log('hahah');
			this.selectPopupShow = true;
			console.log(this.huoDaiData, this.fleetData, '转发');
		},
		selectPopupClose() {
			this.selectPopupShow = false;
		},
		selectPopupOpen() {
			console.log('弹出框打开了');
		},
		// 转发选择货代
		forwardHuoDaiObjectSelect(item) {
			this.selectPopupShow = false;
			this.forwardForm.userId = item.id;
			// this.forwardForm.name = item.huoDaiName;
			this.name = item.huoDaiName;
			this.forwardForm.fleetId = 0;
			console.log('货代选择', this.forwardForm);
		},
		// 转发选择车队
		forwardFleetObjectSelect(item) {
			this.selectPopupShow = false;
			this.forwardForm.fleetId = item.id;
			// this.forwardForm.name = item.name;
			this.name = item.name;
			this.forwardForm.userId = 0;
			console.log('车队选择', this.forwardForm);
		},
		// 提交
		submitForm() {
			this.$reqPost('forward', this.forwardForm, 'params').then(res => {
				if (res.code == 0) {
					this.$u.toast('提交成功');
					setTimeout(() => {
						uni.navigateBack({ delta: 1 });
					}, 1000);
				}
			});
		},
		tabClick(item) {
			console.log('tab点击', item);
			if (item.name == '货代') {
				this.tabHuoDai = true;
			} else {
				this.tabHuoDai = false;
			}
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.forward {
	width: 90%;
	margin: 0 auto;

	// 卡片
	.forward-card {
		margin-top: vww(24);

		.u-form {
			.u-form-item {
				.u-form-item__body {
					.u-form-item__body__right {
						.u-form-item__body__right__content {
							.u-form-item__body__right__content__slot {
								.forward-card-amount {
									display: flex;
									justify-content: space-between;
									align-items: flex-end;
									.forward-card-amount-input {
										width: vww(245);
									}
								}
								.u-input {
									border: 1px solid #dddddd;
								}
							}
						}
					}
				}
			}
		}
		.forward-card-amount {
			display: flex;
		}
	}

	.forwardBtn {
		width: 90%;
		position: fixed;
		bottom: vww(50);
	}

	.selectHuoDaiOrFleet-container {
		.u-popup {
			.u-transition {
				height: 95%;

				.u-popup__content {
					overflow: scroll !important;
					.selectHuoDaiOrFleet-container-box {
						width: 90%;
						margin: 0 auto;
					}
				}
			}
		}
	}
}
</style>
